# 🛒 Einkaufsliste USB-MIDI-Controller

## 📦 Bestellliste für Elektronik-Händler

### Hauptkomponenten
```
□ 1× Arduino Pro Micro 5V/16MHz (z.B. Sparkfun DEV-12640)
□ 2× MCP23017-E/SP (Microchip, DIP-28)
□ 1× CD74HC4067E (Texas Instruments, DIP-24)
□ 8× Potentiometer B10K linear (Alpha 9mm, mit Achse)
□ 4× Schieberegler 10K linear 60mm (Alps oder Bourns)
□ 20× Tact Switch 6×6mm THT (Omron B3F-1000)
□ 20× LED 5mm rot/grün/blau (je nach Wunsch)
```

### Widerstände (1/4W, 5%, Metallfilm)
```
□ 2× 4.7kΩ (Gelb-Violett-Rot-Gold)
□ 20× 10kΩ (Braun-Schwarz-Orange-Gold) - Button Pull-Up
□ 10× 200Ω (Rot-Schwarz-Braun-Gold) - LED Weiß 
□ 7× 150Ω (Braun-Grün-Braun-Gold) - LED Rot/Weiß
□ 3× 125Ω (Braun-Rot-Braun-Gold) - LED Grün
□ 3× 110Ω (Braun-Braun-Braun-Gold) - LED Blau
□ 4× 10kΩ (Braun-Schwarz-Orange-Gold) - MCP Reset
```

### Kondensatoren
```
□ 6× 100nF Keramik (104) - Entstörung
□ 2× 10µF/16V Elektrolyt - Glättung
□ 1× 470µF/16V Elektrolyt - Puffer
```

### Verbindungsmaterial
```
□ 1× Breadboard 830 Kontakte (oder größer)
□ 1× Steckplatine 10×15cm (für finalen Aufbau)
□ 40× Jumperkabel male-male verschiedene Längen
□ 20× Jumperkabel male-female verschiedene Längen
□ 1× Farbiges Schaltdraht-Set (0.25mm²)
□ 1× USB-Kabel Micro-USB (Datenübertragung!)
```

## 💰 Kostenabschätzung (Deutschland, 2025)

| Kategorie | Kosten | Bemerkung |
|-----------|--------|-----------|
| Arduino Pro Micro | ~25€ | Original Sparkfun oder Clone |
| ICs (MCP23017, 4067) | ~8€ | Microchip/TI Original |
| Potis & Slider | ~35€ | Qualität beeinflusst Haptik |
| Buttons & LEDs | ~15€ | Standard-Bauteile |
| Widerstände/Kondensatoren | ~5€ | Sortiment ausreichend |
| Breadboard/Platine | ~15€ | Für Prototyp + final |
| Kabel & Zubehör | ~12€ | Jumperkabel, USB-Kabel |
| **GESAMT** | **~115€** | **Plus Gehäuse nach Wahl** |

## 🏪 Empfohlene Bezugsquellen

### Deutschland
```
□ Reichelt Elektronik (reichelt.de)
  - Gute Preise für Standardbauteile
  - Schneller Versand
  - Große Auswahl

□ Conrad Electronic (conrad.de)  
  - Lokale Filialen
  - Premium-Bauteile
  - Guter Service

□ Mouser Electronics (mouser.de)
  - Original-ICs garantiert
  - Technische Datenblätter
  - Für kritische Bauteile

□ Amazon/eBay
  - Arduino-Clones günstig
  - Jumper-Kabel Sets
  - Schnelle Lieferung
```

### International
```
□ DigiKey (digikey.de)
□ Farnell (farnell.com)
□ AliExpress (längere Lieferzeit, sehr günstig)
```

## 🔧 Werkzeug-Checkliste

### Mindestausstattung
```
□ Lötkolben 25-40W (z.B. Weller WP 25)
□ Lötzinn 0.8mm bleihaltig/bleifrei
□ Entlötlitze oder Entlötpumpe
□ Seitenschneider klein
□ Abisolierzange oder Cutter
□ Multimeter (Spannung/Strom/Widerstand)
□ Lupe oder Vergrößerungsglas
```

### Erweiterte Ausstattung
```
□ Heißluftstation (für SMD-Bauteile)
□ Oszilloskop (für Debugging)
□ Logikanalysator (für I2C-Analyse)
□ Dritte Hand mit Lupe
□ ESD-Schutz (Armband, Matte)
□ Bauteil-Organizer/Sortierboxen
```

## 📋 Montage-Reihenfolge Checklist

### Phase 1: Breadboard-Prototyp
```
□ Arduino Pro Micro auf Breadboard
□ Spannungsversorgung verdrahten
□ I2C-Bus mit Pull-Ups aufbauen
□ Erste MCP23017 anschließen und testen
□ Zweite MCP23017 anschließen und testen
□ CD74HC4067 Multiplexer anschließen
□ Erste Tests mit Code durchführen
```

### Phase 2: Buttons und LEDs
```
□ 4 Buttons als Test anschließen
□ 4 LEDs mit Vorwiderständen testen
□ Alle 20 Buttons verdrahten
□ Alle 20 LEDs mit Widerständen verdrahten
□ Button-Funktionalität testen
□ LED-Steuerung via MIDI testen
```

### Phase 3: Analoge Regler
```
□ Einen Poti an Multiplexer anschließen
□ Analoge Werte im Serial Monitor prüfen
□ Alle 8 Potis verdrahten
□ Alle 4 Schieberegler verdrahten
□ MIDI-CC Funktionalität testen
□ Kalibrierung und Feinjustierung
```

### Phase 4: Finale Integration
```
□ Vollständiger Funktionstest
□ Entstörung optimieren (Kondensatoren)
□ Mechanischer Aufbau/Gehäuse
□ Beschriftung der Regler und Buttons
□ DAW-Integration testen (Ableton, etc.)
□ Dokumentation erstellen
```

## ⚠️ Häufige Fallstricke

### Elektrische Probleme
```
❌ Fehlende Pull-Up Widerstände → Buttons funktionieren nicht
❌ Vertauschte VCC/GND → ICs können beschädigt werden  
❌ Zu schwache Vorwiderstände → LEDs brennen durch
❌ Fehlende Abblockkondensatoren → Instabile Funktion
❌ Lange I2C-Leitungen → Kommunikationsfehler
```

### Mechanische Probleme
```
❌ Falsche Potentiometer-Kurve → Ungleichmäßige MIDI-Werte
❌ Schlechte Button-Qualität → Prellen, kurze Lebensdauer
❌ Ungeeignetes Gehäuse → Schwer zugängliche Komponenten
❌ Fehlende Befestigung → Wackelige Verbindungen
❌ Zu enge Anordnung → Schwierige Bedienung
```

### Software-Probleme  
```
❌ Falsche I2C-Adressen → Chips werden nicht erkannt
❌ Fehlende MIDI-Treiber → PC erkennt Controller nicht
❌ Zu hohe Update-Rate → MIDI-Spam, Performance-Probleme
❌ Fehlende Debouncing → Mehrfache Button-Events
❌ Falsche Pin-Zuordnung → Vertauschte Funktionen
```

## 🎯 Qualitätshinweise

### Bauteil-Qualität
```
✅ Original-ICs bevorzugen (Microchip, TI, Atmel)
✅ Markenpotis für bessere Haptik (Alps, Bourns, Alpha)
✅ Hochwertige Tact-Switches (Omron, Cherry)
✅ Metallfilm-Widerstände für Stabilität
✅ Niedrig-ESR Kondensatoren für Entstörung
```

### Verarbeitung
```
✅ Saubere Lötstellen ohne Kältestellen
✅ Kurze Leitungen für kritische Signale
✅ Mechanisch stabile Verbindungen
✅ Ordentliche Kabelführung
✅ Ausreichende Abstände zwischen Bauteilen
```

Diese detaillierte Einkaufsliste hilft dir dabei, alle benötigten Bauteile systematisch zu beschaffen und häufige Fehler beim Aufbau zu vermeiden! 🎛️
